Bug 1139023 - [abrt] pyhoca-gui: ConfigParser.py:279:options:NoSectionError: No section: '20140907080911543827'
Summary: [abrt] pyhoca-gui: ConfigParser.py:279:options:NoSectionError: No section: '2...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyhoca-gui
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:72b25a2b46532f0837cdf713fe9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-07 14:36 UTC by klaus
Modified: 2014-11-17 06:28 UTC (History)
1 user (show)

Fixed In Version: pyhoca-gui-0.5.0.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 06:28:59 UTC


Attachments (Terms of Use)
File: backtrace (1.51 KB, text/plain)
2014-09-07 14:36 UTC, klaus
no flags Details
File: dso_list (66 bytes, text/plain)
2014-09-07 14:36 UTC, klaus
no flags Details
File: environ (1.81 KB, text/plain)
2014-09-07 14:36 UTC, klaus
no flags Details
x2goclient/session (7.11 KB, text/plain)
2014-09-08 15:36 UTC, klaus
no flags Details

Description klaus 2014-09-07 14:36:36 UTC
Description of problem:
Closing a session

Version-Release number of selected component:
pyhoca-gui-0.4.0.9-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        pyhoca-gui '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/bin/pyhoca-gui
kernel:         3.15.10-201.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
ConfigParser.py:279:options:NoSectionError: No section: '20140907080911543827'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/taskbar.py", line 160, in CreateSessionManagerPopupMenu
    self.menu_sessionmanager = self.PopupMenu(menus_taskbar.PyHocaGUI_Menu_TaskbarSessionManager(self._PyHocaGUI, caller=self,))
  File "/usr/lib/python2.7/site-packages/pyhoca/wxgui/menus_taskbar.py", line 1016, in __init__
    disabled_profiles=self._PyHocaGUI.client_connected_profiles(return_profile_names=True) + self._PyHocaGUI._temp_disabled_profile_names,
  File "/usr/lib/python2.7/site-packages/x2go/client.py", line 2995, in client_connected_profiles
    return [ self.to_profile_name(p_id) for p_id in self.session_registry.connected_profiles() ]
  File "/usr/lib/python2.7/site-packages/x2go/client.py", line 2966, in to_profile_name
    return self.session_profiles.to_profile_name(profile_id)
  File "/usr/lib/python2.7/site-packages/x2go/backends/profiles/_file.py", line 343, in to_profile_name
    _profile_config = self.get_profile_config(profile_id=profile_id)
  File "/usr/lib/python2.7/site-packages/x2go/backends/profiles/_file.py", line 215, in get_profile_config
    for option in self.iniConfig.options(_profile_id):
  File "/usr/lib64/python2.7/ConfigParser.py", line 279, in options
    raise NoSectionError(section)
NoSectionError: No section: '20140907080911543827'

Local variables in innermost frame:
section: '20140907080911543827'
self: <ConfigParser.SafeConfigParser instance at 0x29abab8>

Comment 1 klaus 2014-09-07 14:36:39 UTC
Created attachment 935154 [details]
File: backtrace

Comment 2 klaus 2014-09-07 14:36:40 UTC
Created attachment 935155 [details]
File: dso_list

Comment 3 klaus 2014-09-07 14:36:41 UTC
Created attachment 935156 [details]
File: environ

Comment 4 Orion Poplawski 2014-09-08 15:12:15 UTC
Please attach ~/.x2goclient/sessions

Comment 5 klaus 2014-09-08 15:36:11 UTC
Created attachment 935387 [details]
x2goclient/session

Comment 6 klaus 2014-09-08 15:36:40 UTC
(In reply to klaus from comment #5)
> Created attachment 935387 [details]
> x2goclient/session

Here you are :-)

Comment 7 Orion Poplawski 2014-09-08 16:15:23 UTC
Had you manually deleted or change configurations while pyhoca-gui was running?

Comment 8 klaus 2014-09-08 18:12:37 UTC
(In reply to Orion Poplawski from comment #7)
> Had you manually deleted or change configurations while pyhoca-gui was
> running?

Can't remember - I've been doing a lot of testing and setting up, changing, etc. lately in order to prepare for my students to work on the server. So I can only say: Maybe.

Comment 9 Fedora Update System 2014-10-20 15:31:02 UTC
pyhoca-gui-0.5.0.0-1.fc20, pyhoca-cli-0.5.0.0-1.fc20, python-x2go-0.5.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/pyhoca-gui-0.5.0.0-1.fc20,pyhoca-cli-0.5.0.0-1.fc20,python-x2go-0.5.0.0-1.fc20

Comment 10 Fedora Update System 2014-10-21 10:25:50 UTC
Package pyhoca-gui-0.5.0.0-1.fc20, pyhoca-cli-0.5.0.0-1.fc20, python-x2go-0.5.0.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyhoca-gui-0.5.0.0-1.fc20 pyhoca-cli-0.5.0.0-1.fc20 python-x2go-0.5.0.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-13341/pyhoca-gui-0.5.0.0-1.fc20,pyhoca-cli-0.5.0.0-1.fc20,python-x2go-0.5.0.0-1.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-11-17 06:28:59 UTC
pyhoca-gui-0.5.0.0-1.fc20, pyhoca-cli-0.5.0.0-1.fc20, python-x2go-0.5.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.